“ echo 'error: JitsiMeetSDK.framework/main.jsbundle does not exist. This must be a bug with’"

Hello @saghul @jallamsetty @damencho

Can anyone please help in fixing the above issue faced while archiving the iPhone release build

“ echo 'error: File /Users/aapoon/Library/Developer/Xcode/DerivedData/jitsi-meet-dbbjblfxuinigpetgmvzkvygifdq/Build/Intermediates.noindex/ArchiveIntermediates/JitsiMeet/BuildProductsPath/Release-iphoneos/JitsiMeetSDK.framework/main.jsbundle does not exist. This must be a bug with’"

How are you making the build? What commit are you trying to build?

@saghul Please find the details you asked for

Commit ID: 7f26e7f9275bbf4871184dec858ac048d484759f

Making build steps:

  • From terminal go to project folder and hit this command “npm install”
  • Next run this command “node_modules/react-native-webrtc/tools/downloadBitcode.sh”
  • From terminal Go to iOS folder and run this command "pod install”
  • Then create build using Xcode.

Does that commit match any given release? While we try to keep master working, I’d recommend you use a given release tag, such as ios-sdk-6.0.0

I am generating the build from jitsi-meet github repo from the Dec21st 2021 code

Github commit link: fix(lang) update German translation · jitsi/jitsi-meet@7f26e7f · GitHub

But what could be cause of the issue could you please let me know

I don’t know what the cause could be, sorry.